org.apache.http.auth

## Enum AuthProtocolState

- java.lang.Object
- - java.lang.Enum<AuthProtocolState>
  - - org.apache.http.auth.AuthProtocolState

- All Implemented Interfaces:
    Serializable ， Comparable < AuthProtocolState >

      public enum AuthProtocolState
      extends Enum<AuthProtocolState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHALLENGED`
    `FAILURE`
    `HANDSHAKE`
    `SUCCESS`
    `UNCHALLENGED`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthProtocolState` | `valueOf(String name)` 以指定的名称返回此类型的枚举常量。
    `static AuthProtocolState[]` | `values()` 按照它们声明的顺序返回一个包含此枚举类型常量的数组。

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCHALLENGED

          public static final AuthProtocolState UNCHALLENGED

    - #### CHALLENGED

          public static final AuthProtocolState CHALLENGED

    - #### HANDSHAKE

          public static final AuthProtocolState HANDSHAKE

    - #### FAILURE

          public static final AuthProtocolState FAILURE

    - #### SUCCESS

          public static final AuthProtocolState SUCCESS

  - ### 方法详细信息

    - #### values

          public static AuthProtocolState[] values()

      按照它们声明的顺序返回一个包含此枚举类型常量的数组。 该方法可用于遍历常量如下：

            for (AuthProtocolState c : AuthProtocolState.values())
              System.out.println(c);

      结果
        一个包含这个枚举类型的常量的数组，按照它们被声明的顺序

    - #### valueOf

          public static AuthProtocolState valueOf(String name)

      以指定的名称返回此类型的枚举常量。 字符串必须完全匹配用于声明此类型的枚举常量的标识符。 （不允许有空白字符）
      参数
        `name` - 要返回的枚举常数的名称。
      结果
        具有指定名称的枚举常量
      异常
        `IllegalArgumentException` - 如果此枚举类型没有指定名称的常量
        `NullPointerException` - 如果参数为空

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585